* {
  box-sizing: border-box;
}

:root {
  --main-color: #009688;
  --main-padding-top: 50px;
  --main-padding-bottom: 50px;
}

body {
  font-family: "Open Sans", sans-serif;
}

html {
  scroll-behavior: smooth;
}

.container {
  padding-left: 15px;
  padding-right: 15px;
  margin: auto;
}

.settings-box {
  position: fixed;
  left: -230px;
  top: 0;
  z-index: 2000;
  background-color: #fff;
  width: 230px;
  min-height: 100vh;
  transition: 0.3s;
  border: 1px solid #eee;
}
.settings-box.open {
  left: 0;
}
.settings-box .toggle-settings {
  position: absolute;
  right: -30px;
  top: 100px;
  background-color: #fff;
  text-align: center;
  cursor: pointer;
  border-radius: 4px;
  font-size: 20px;
}

.settings-box .toggle-settings .icon-gear {
  padding: 7px 0;
  width: 30px;
}
.settings-box .settings-container .option-box {
  padding: 10px;
  margin: 10px;
  text-align: center;
  background-color: #eee;
}
.settings-box .settings-container .option-box h4 {
  margin: 0;
  color: #666;
  font-size: 15x;
}
.settings-box .settings-container .option-box .colors-list {
  list-style: none;
  text-align: center;
  padding: 0;
  margin: 10px 0 0;
}
.settings-box .settings-container .option-box .colors-list li {
  width: 25px;
  height: 25px;
  border-radius: 50%;
  cursor: pointer;
  display: inline-block;
  opacity: 0.5;
  transition: 0.3s;
  user-select: none;
}
.settings-box .option-box .colors-list li.active {
  opacity: 1;
  border: 3px solid #fff;
}
.settings-box .option-box .colors-list li:hover {
  opacity: 1;
}
.settings-box .colors-list li:first-child {
  background-color: #009688;
}
.settings-box .colors-list li:nth-child(2) {
  background-color: #2196f3;
}
.settings-box .colors-list li:nth-child(3) {
  background-color: #e91e63;
}
.settings-box .colors-list li:nth-child(4) {
  background-color: #ff5722;
}
.settings-box .colors-list li:nth-child(5) {
  background-color: #ffc107;
}

.settings-box .option-box .yes,
.settings-box .option-box .no {
  display: inline-block;
  background-color: var(--main-color);
  color: #fff;
  padding: 5px 7px;
  border-radius: 4px;
  margin-top: 10px;
  cursor: pointer;
  opacity: 0.5;
  font-weight: bold;
  font-size: 14px;
  width: 50px;
  transition: 0.3s;
}
.settings-box .option-box span.active,
.settings-box .option-box span:hover {
  opacity: 1;
}

.settings-box .reset-options {
  display: block;
  background-color: var(--main-color);
  color: #fff;
  padding: 10px;
  border-radius: 4px;
  margin: 10px auto;
  text-align: center;
  cursor: pointer;
  font-weight: bold;
  font-size: 14px;
  width: 178px;
  transition: 0.3s;
  opacity: 1;
}

.settings-box .reset-options:hover {
  opacity: 0.7;
}

.nav-bullets {
  position: fixed;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 50px;
  z-index: 1000;
}

.nav-bullets .bullets {
  width: 20px;
  height: 20px;
  border: 3px solid var(--main-color);
  margin: 20px auto;
  border-radius: 50%;
  cursor: pointer;
  position: relative;
  transition: 0.3s;
}

.nav-bullets .bullets .tooltip {
  width: 120px;
  background-color: var(--main-color);
  color: #fff;
  padding: 8px 10px;
  position: absolute;
  right: 32px;
  top: -10px;
  border-radius: 6px;
  text-align: center;
  cursor: default;
  display: none;
}

.nav-bullets .bullets:hover .tooltip {
  display: block;
}

.nav-bullets .bullets .tooltip::before {
  content: "";
  position: absolute;
  border-style: solid;
  border-width: 10px;
  border-color: transparent transparent transparent var(--main-color);
  right: -20px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
}

.landing-page {
  min-height: 100vh;
  background-image: url("../images/img-4.jpg");
  background-size: cover;
  position: relative;
}

.landing-page .overlay {
  background-color: rgb(0 0 0 / 60%);
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  z-index: 1;
}

.landing-page .container {
  position: relative;
  z-index: 1000;
}
.landing-page .header-area {
  position: relative;
  z-index: 2;
  display: flex;
  color: #fff;
  padding: 5px;
}
.landing-page .header-area .logo {
  width: 300px;
  padding: 15px;
  font-weight: bold;
  font-size: 35px;
}
.landing-page .header-area .logo a {
  text-decoration: none;
  color: #fff;
}
.landing-page .header-area .links-container {
  width: 100%;
  margin-top: 15px;
  text-align: right;
}

.landing-page .header-area .links {
  list-style: none;
  width: 100%;
  padding-left: 0;
}
.landing-page .header-area .links li {
  display: inline-block;
  margin-left: 10px;
  transition: 0.3s;
}
.landing-page .header-area .links li a {
  color: #fff;
  text-decoration: none;
}

.landing-page .header-area .links li a:hover {
  color: var(--main-color);
}

.header-area .toggle-menu {
  background: none;
  border: none;
  width: 40px;
  cursor: pointer;
  display: none;
  position: relative;
}
.header-area .toggle-menu.menu-active::before {
  content: "";
  border-style: solid;
  border-width: 10px;
  border-color: transparent transparent #fff transparent;
  position: absolute;
  left: 50%;
  bottom: -10px;
  transform: translateX(-50%);
  cursor: default;
}

.header-area .toggle-menu:focus {
  outline: none;
}

.header-area .toggle-menu span {
  display: block;
  height: 4px;
  background-color: #fff;
  margin-bottom: 4px;
  transition: 0.3;
}

@media (max-width: 992px) {
  .header-area .links {
    display: none;
  }
  .header-area .links.open {
    display: block;
    background-color: #fff;
    padding: 5px;
    position: absolute;
    right: 0;
    top: 50px;
    width: 200px;
    border-radius: 4px;
    text-align: left;
    margin-bottom: 0;
  }
  .header-area .links.open li a {
    color: var(--main-color);
    font-weight: bold;
  }
  .header-area .links.open li a:hover {
    opacity: 0.7;
  }
  .header-area .links.open li {
    display: block;
    margin: 5px;
    padding: 10px;
    text-align: center;
    transition: 0.3s;
  }
  .header-area .toggle-menu {
    display: inline-block;
    margin-top: 10px;
  }
}

.landing-page .introduction-text {
  position: absolute;
  z-index: 2;
  color: #fff;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  width: 90%;
}

.landing-page .introduction-text h1 {
  font-size: 45px;
  margin: 0 0 10px;
}
@media (max-width: 575px) {
  .landing-page .introduction-text h1 {
    font-size: 40px;
  }
}
.landing-page .introduction-text h1 span {
  color: var(--main-color);
  transition: 0.3s;
}

.landing-page .introduction-text p {
  line-height: 1.6;
  font-size: 20px;
  margin: 0;
}

.about-us {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
}
.about-us .container {
  display: flex;
}
@media (max-width: 992px) {
  .about-us .container {
    display: block;
    text-align: center;
  }
}

.about-us .info-box {
  flex: 1;
  padding: 30px;
}
@media (max-width: 767px) {
  .about-us .info-box {
    padding: 10px;
  }
}
.about-us .info-box h2 {
  font-weight: bold;
  font-size: 40px;
  color: var(--main-color);
  margin: 0 0 10px;
}
.about-us .info-box p {
  font-size: 18px;
  line-height: 1.8;
  color: #767676;
  margin: 0;
}
.about-us .image-box {
  flex: 1;
  text-align: center;
}
.about-us .image-box img {
  max-width: 100%;
  border-radius: 10px;
}

.skills {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  background-color: #eee;
}

.skills h2 {
  font-weight: bold;
  font-size: 40px;
  color: var(--main-color);
  margin: 0 0 50px;
  text-align: center;
}

.skills .skill-box {
  background-color: #fff;
  display: flex;
  padding: 15px;
  margin: 15px;
  align-items: center;
}
@media (max-width: 575px) {
  .skills .skill-box {
    display: block;
  }
}

.skills .skill-box .skill-name {
  font-weight: bold;
  width: 150px;
  text-align: center;
}
@media (max-width: 575px) {
  .skills .skill-box .skill-name {
    width: 100%;
    margin-bottom: 10px;
  }
}

.skills .skill-box .skill-progress {
  height: 30px;
  width: 100%;
  background-color: #f6f6f6;
  border-radius: 6px;
  position: relative;
  overflow: hidden;
}
.skills .skill-box .skill-progress span {
  position: absolute;
  left: 0;
  top: 0;
  width: 0;
  height: 100%;
  background-color: var(--main-color);
  transition: width 1s linear;
}
.skills .skill-box .skill-progress span .percent {
  position: relative;
  color: #f6f6f6;
  font-weight: bold;
  left: 50%;
  top: 5px;
  background: none;
}
@media (max-width: 992px) {
  .skills .skill-box .skill-progress span .percent {
    display: none;
  }
}
.gallery {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
}

.gallery .container h2 {
  font-weight: bold;
  font-size: 40px;
  color: var(--main-color);
  margin: 0 0 50px;
  text-align: center;
}
.gallery .images-box {
  text-align: center;
}

.gallery .images-box img {
  margin: 10px;
  width: 200px;
  height: 200px;
  cursor: pointer;
  box-shadow: 0 2px 15px rgb(0 0 0 / 20%);
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 6px;
  transition: 0.3s;
  margin: 5px;
}

.gallery .images-box img:hover {
  transform: scale(1.1);
}

.popup-overlay {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(0 0 0 / 0.7);
  z-index: 2001;
}

.popup-box {
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 6px;
  padding: 20px;
  z-index: 2002;
}
.popup-box .close {
  position: absolute;
  right: 5px;
  top: 5px;
  background-color: var(--main-color);
  color: #fff;
  padding: 7px 10px;
  font-size: 20px;
  font-weight: bold;
  cursor: pointer;
  font-family: Arial, Tahoma;
  transition: 0.3s;
}

.popup-box .close:hover {
  opacity: 0.7;
}

.popup-box h3 {
  font-weight: bold;
  font-size: 30px;
  color: var(--main-color);
  margin: 0 auto 20px;
  text-align: left;
  cursor: default;
  user-select: none;
}
.popup-box img {
  max-width: 350px;
}
@media (max-width: 767px) {
  .popup-box img {
    max-width: 100%;
  }
}

.timeline {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  background-color: #eee;
}

.timeline .timeline-content {
  position: relative;
  overflow: hidden;
}

.timeline .timeline-content::before {
  content: "";
  position: absolute;
  width: 2px;
  height: 100%;
  background-color: var(--main-color);
  left: 50%;
  top: 0;
  transform: translateX(-50%);
}
.timeline .timeline-content .year {
  margin: 20px auto;
  width: 50px;
  background-color: var(--main-color);
  text-align: center;
  color: #fff;
  font-size: 18px;
  font-weight: bold;
  border-radius: 4px;
  padding: 2px 5px;
  position: relative;
  z-index: 2;
}
.timeline .timeline-content .left,
.timeline .timeline-content .right {
  width: calc(50% - 25px);
  margin-bottom: 40px;
  position: relative;
}
@media (max-width: 767px) {
  .timeline .timeline-content .left,
  .timeline .timeline-content .right {
    width: 100%;
    margin-bottom: 20px;
  }
}
.timeline .timeline-content .left {
  float: left;
}

.timeline .timeline-content .left:before {
  right: -35px;
}

.timeline .timeline-content .right {
  float: right;
}

.timeline .timeline-content .right:before {
  left: -35px;
}
.timeline .timeline-content .left:before,
.timeline .timeline-content .right:before {
  content: "";
  width: 14px;
  height: 14px;
  background-color: #fff;
  border: 3px solid var(--main-color);
  border-radius: 50%;
  position: absolute;
  top: 20px;
}
@media (max-width: 767px) {
  .timeline .timeline-content .left:before,
  .timeline .timeline-content .right:before {
    display: none;
  }
}

.timeline .timeline-content .content {
  padding: 20px;
  background-color: #fff;
}

.timeline .timeline-content .content h3 {
  font-weight: bold;
  color: var(--main-color);
  margin: 0 0 10px;
}
.timeline .timeline-content .content p {
  color: #666;
  margin: 0;
  line-height: 1.6;
}

.clearfix {
  clear: both;
}

.timeline .timeline-content .left .content::before,
.timeline .timeline-content .right .content::before {
  content: "";
  border-style: solid;
  border-width: 10px;
  position: absolute;
  top: 20px;
}
@media (max-width: 767px) {
  .timeline .timeline-content .left .content::before,
  .timeline .timeline-content .right .content::before {
    display: none;
  }
}
.timeline .timeline-content .left .content::before {
  right: -20px;
  border-color: transparent transparent transparent var(--main-color);
}
.timeline .timeline-content .right .content::before {
  left: -20px;
  border-color: transparent var(--main-color) transparent transparent;
}

.features {
  padding-top: 80px;
  padding-bottom: 80px;
}
.features h2 {
  font-weight: bold;
  font-size: 40px;
  color: var(--main-color);
  margin: 0 0 60px;
  text-align: center;
}

.features .feat-box {
  width: calc(100% / 3);
  float: left;
  text-align: center;
  margin-bottom: 40px;
}

@media (max-width: 992px) {
  .features .feat-box {
    width: calc(100% / 2);
  }
}
@media (max-width: 575px) {
  .features .feat-box {
    width: 100%;
    margin-bottom: 20px;
  }
}

.features .feat-box img {
  width: 150px;
  height: 150px;
  border-radius: 8px;
}

.features .feat-box h4 {
  font-weight: bold;
  font-size: 20px;
  margin: 15px 0 30px;
  position: relative;
}

.features .feat-box h4::before {
  content: "";
  width: 40px;
  height: 4px;
  background-color: var(--main-color);
  position: absolute;
  bottom: -20px;
  left: 50%;
  transform: translate(-50%, -50%);
}

.features .feat-box p {
  width: 90%;
  color: #706f6f;
  line-height: 1.7;
  margin: 0 auto;
}

.testimonials {
  position: relative;
  padding-top: 80px;
  padding-bottom: 80px;
}

.testimonials::before {
  content: "";
  position: absolute;
  width: 50%;
  height: 100%;
  left: 0;
  top: 0;
  background-color: var(--main-color);
}

.testimonials::after {
  content: "";
  position: absolute;
  width: 50%;
  height: 100%;
  right: 0;
  top: 0;
  background-color: #111;
}

.testimonials h2 {
  font-weight: bold;
  font-size: 40px;
  color: #fff;
  margin: 0 0 30px;
  text-align: left;
  position: relative;
  z-index: 2;
}
@media (max-width: 575px) {
  .testimonials h2 {
    font-size: 30px;
    text-align: center;
  }
}
@media (max-width: 767px) {
  .testimonials h2 {
    text-align: center;
  }
}

.testimonials .ts-box {
  position: relative;
  z-index: 2;
  width: calc(98% / 3);
  float: left;
  background-color: #fff;
  border-radius: 6px;
  padding: 30px;
}
@media (max-width: 992px) {
  .testimonials .ts-box {
    width: 98%;
    margin-bottom: 20px;
  }
}

.testimonials .ts-box:not(:last-of-type) {
  margin-right: 1%;
}

.testimonials .ts-box > p {
  line-height: 2;
  font-size: 18px;
  color: #706f6f;
  font-style: italic;
  margin: 0 0 20px;
}
.testimonials .ts-box .person-info {
  overflow: hidden;
}
.testimonials .ts-box .person-info img {
  float: left;
  border-radius: 50%;
  margin-right: 20px;
}
.testimonials .ts-box .person-info h4 {
  margin: 14px 0 10px;
}
.testimonials .ts-box .person-info p {
  color: #707070;
  margin: 0;
}

.contact {
  background-image: url("../images/contact-us.jpg");
  background-size: cover;
  padding-top: 80px;
  padding-bottom: 100px;
  position: relative;
}

.contact .overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-color: rgb(255, 255, 255, 0.5);
  z-index: 1;
}
.contact .container {
  position: relative;
  z-index: 2;
}
.contact .container h2 {
  font-weight: bold;
  font-size: 40px;
  color: var(--main-color);
  margin: 0 0 50px;
  text-align: center;
}

.contact form {
  overflow: hidden;
  max-width: 800px;
  margin: auto;
  padding: 5px;
}

.contact form .left {
  float: left;
  width: 49%;
}
.contact form .right {
  float: right;
  width: 49%;
}
@media (max-width: 767px) {
  .contact form .left,
  .contact form .right {
    float: none;
    width: 100%;
  }
}

.contact form input:not([type="submit"]),
.contact form textarea {
  display: block;
  width: 100%;
  padding: 10px;
  margin-bottom: 15px;
  border: none;
  background-color: #e4e4e4;
  border-radius: 8px;
  font-size: 14px;
}

.contact form input:not([type="submit"]):focus,
.contact form textarea:focus {
  outline: 1px solid var(--main-color);
}

.contact form input {
  height: 40px;
  font-size: 18px;
}
.contact form textarea {
  height: 150px;
}
.contact form input:not([type="submit"]):focus::placeholder,
.contact form textarea:focus::placeholder {
  opacity: 0;
  transition: 0.3s;
}

.contact input[type="submit"] {
  float: right;
  border: none;
  padding: 10px;
  width: 100%;
  background-color: var(--main-color);
  color: #fff;
  font-weight: bold;
  font-size: 18px;
  cursor: pointer;
  opacity: 1;
  transition: 0.3s;
  border-radius: 8px;
}
.contact input[type="submit"]:hover {
  opacity: 0.7;
}

.footer {
  text-align: center;
  background-color: #000;
  color: #eee;
  font-size: 20px;
  font-weight: bold;
  padding: 20px;
}
.footer span {
  color: var(--main-color);
}

@media (min-width: 576px) {
  .container {
    max-width: 540px;
  }
}

@media (min-width: 768px) {
  .container {
    max-width: 720px;
  }
}

@media (min-width: 992px) {
  .container {
    max-width: 960px;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 1140px;
  }
}
